/*
*This is the header of the NameableStaticEntity.cc file
*In this file we define a constructor, destructor and additional function (which is important to name a planet)
*
*Author: Bolt Nikole
*Co-Author: Fanconi Claudio
*
*/

#ifndef _NameableStaticEntity_H__
#define _NameableStaticEntity_H__

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/StaticEntity.h"

namespace orxonox
{ 
    class _OrxonoxExport NameableStaticEntity : public StaticEntity
    {
    	public:
    		NameableStaticEntity(Context* context);
    		virtual ~NameableStaticEntity();
            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;

            inline void setLevelName(const std::string& levelname)
                { this->levelName_ = levelname; }

            inline const std::string& getLevelName()
                { return this->levelName_; }

        private:
            std::string levelName_;
    };
}
#endif